Bug 198991 - sysutils/dvd+rw-tools: growisofs error: close session failed when burning 25gb blu-ray disc
Summary: sysutils/dvd+rw-tools: growisofs error: close session failed when burning 25g...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-03-28 21:09 UTC by Sergey
Modified: 2015-04-10 11:21 UTC (History)
2 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Sergey 2015-03-28 21:09:13 UTC
All users of growisofs (including users of frontends like k3b) get a spurious IO error at the end of writing a blu-ray BD-R medium.
This is a known bug that have been discussed on LINUX forums; there are different opinions, if this bug is harmless.
The proposed fix is very simple and seems to resolve the issue.
The solution is described at
http://lists.alioth.debian.org/pipermail/debburn-devel/2013-June/000924.html
and requires adding of 1 string of code to growisofs_mmc.cpp
This bug has already been reported in the bug 161694 that is marked as 'FIXED' but the problem still exists.
Comment 1 scdbackup 2015-04-03 20:18:59 UTC
Hi,

i'm the author of the proposed patch (and of xorriso).

PR 161694 is not about the same problem as this here.
(It rather looks like a run on DVD-R[W] or DVD+R where
 growisofs reserved more blocks in the track than it
 later wrote.
 I'd be willing to help with diagnosing if further
 information can be submitted. But it seems that the
 PR was closed because no maintainer showed up.)

Have a nice day :)

Thomas
Comment 2 commit-hook freebsd_committer 2015-04-10 11:20:41 UTC
A commit references this bug:

Author: danfe
Date: Fri Apr 10 11:20:18 UTC 2015
New revision: 383719
URL: https://svnweb.freebsd.org/changeset/ports/383719

Log:
  - Fix growisofs error: close session failed when burning 25GB blu-ray disc
  - While here: sort and wrap BIN_FILES, remove useless OPTIONS_DEFAULT=DOCS
  - Canonicalize Makefile header, add LICENSE (GPLv2), and bump PORTREVISION
  - Kill bogus EOL whitespace in port description text and reformat it a bit

  PR:		198991
  Obtained from:	https://bugs.launchpad.net/ubuntu/+source/dvd+rw-tools/+bug/1113679/
  Details:	http://lists.alioth.debian.org/pipermail/debburn-devel/2013-June/000924.html

Changes:
  head/sysutils/dvd+rw-tools/Makefile
  head/sysutils/dvd+rw-tools/files/patch-growisofs__mmc.cpp
  head/sysutils/dvd+rw-tools/pkg-descr
Comment 3 Alexey Dokuchaev freebsd_committer 2015-04-10 11:21:22 UTC
Patch was added in ports r383719, thank you.